欢迎使用全新的 WEEX API 文档。需要查看旧版本?切换到旧版文档
WEEX
WEEX 合约 REST API

交易

端点

下单 (TRADE)

下单 (TRADE)。

POST
/capi/v3/order
https://api-contract.weex.com
请求权重
此端点消耗基于 IP 的请求权重。较重的端点会消耗更多您的 IP 速率限制容量。
请在访问限制章节中了解更多信息。
IP 权重0

下单 (TRADE) › 查询参数

symbol
​string · required

交易对,例如 BTCUSDT。

side
​string · required

买卖方向,取值:BUY、SELL。

positionSide
​string · required

持仓方向,取值:LONG、SHORT。

type
​string · required

订单类型,取值:LIMIT、MARKET。

quantity
​string · required

下单数量,必须大于 0。

newClientOrderId
​string · required

客户自定义订单号(1-36 位,匹配 ^[\.A-Z:/a-z0-9_-]{1,36}$)。

timeInForce
​string

有效方式,type = LIMIT 时必填,取值:GTC、IOC、FOK、POST_ONLY。

price
​string

限价订单价格,type = LIMIT 时必填。

tpTriggerPrice
​string

预设止盈触发价。

slTriggerPrice
​string

预设止损触发价。

TpWorkingType
​string

止盈触发价计算基准,取值:CONTRACT_PRICE、MARK_PRICE,默认 CONTRACT_PRICE。

SlWorkingType
​string

止损触发价计算基准,取值:CONTRACT_PRICE、MARK_PRICE,默认 CONTRACT_PRICE。

reduceOnly
​boolean

是否只减仓。

下单 (TRADE) › 响应

200

成功响应

orderId
​string

系统生成的订单 ID。

clientOrderId
​string

回显的 newClientOrderId。

success
​boolean

是否受理成功。

errorCode
​string

当 success = false 时返回错误码;成功时为空。

errorMessage
​string

当 success = false 时返回错误信息;成功时为空。


批量下单 (TRADE)

批量下单 (TRADE)。

POST
/capi/v3/batchOrders
https://api-contract.weex.com
请求权重
此端点消耗基于 IP 的请求权重。较重的端点会消耗更多您的 IP 速率限制容量。
请在访问限制章节中了解更多信息。
IP 权重0

批量下单 (TRADE) › 查询参数

batchOrders
​array · required

单次最多 5 笔订单。每个元素与下单 (TRADE) 的字段一致。

批量下单 (TRADE) › 响应

200

成功响应

​object[]
orderId
​string

系统生成的订单 ID。

clientOrderId
​string

回显的 newClientOrderId。

success
​boolean

是否受理成功。

errorCode
​string

当 success = false 时返回错误码;成功时为空。

errorMessage
​string

当 success = false 时返回错误信息;成功时为空。


撤单 (TRADE)

撤单 (TRADE)。

DELETE
/capi/v3/order
https://api-contract.weex.com
请求权重
此端点消耗基于 IP 的请求权重。较重的端点会消耗更多您的 IP 速率限制容量。
请在访问限制章节中了解更多信息。
IP 权重1

撤单 (TRADE) › 查询参数

orderId
​integer

目标订单 ID,当未提供 origClientOrderId 时必填。

origClientOrderId
​string

客户自定义订单号(1-36 位),当未提供 orderId 时必填。

撤单 (TRADE) › 响应

200

成功响应

orderId
​string

被撤销的订单 ID。

origClientOrderId
​string

客户订单号(如提交时提供)。

success
​boolean

是否撤单成功。

errorCode
​string

当 success = false 时的错误码。

errorMessage
​string

当 success = false 时的错误信息。


批量撤单 (TRADE)

批量撤单 (TRADE)。

DELETE
/capi/v3/batchOrders
https://api-contract.weex.com
请求权重
此端点消耗基于 IP 的请求权重。较重的端点会消耗更多您的 IP 速率限制容量。
请在访问限制章节中了解更多信息。
IP 权重5

批量撤单 (TRADE) › 查询参数

orderIdList
​integer

最多 10 个订单 ID;当 origClientOrderIdList 留空时必填。

origClientOrderIdList
​array

最多 10 个客户端订单号,匹配 ^[\.A-Z:/a-z0-9_-]{1,36}$;当 orderIdList 留空时必填。

批量撤单 (TRADE) › 响应

200

成功响应

​object[]
orderId
​string

被撤销的订单 ID。

origClientOrderId
​string

客户订单号(如提交时提供)。

success
​boolean

是否撤单成功。

errorCode
​string

当 success = false 时的错误码。

errorMessage
​string

当 success = false 时的错误信息。


撤销全部挂单 (TRADE)

撤销全部挂单 (TRADE)。

DELETE
/capi/v3/allOpenOrders
https://api-contract.weex.com
请求权重
此端点消耗基于 IP 的请求权重。较重的端点会消耗更多您的 IP 速率限制容量。
请在访问限制章节中了解更多信息。
IP 权重5

撤销全部挂单 (TRADE) › 查询参数

symbol
​string

按交易对筛选,留空则撤销账户下全部未成交订单。

撤销全部挂单 (TRADE) › 响应

200

成功响应

​object[]
orderId
​integer

被撤销的订单 ID。

success
​boolean

是否撤单成功。

errorCode
​string

当 success = false 时的错误码。

errorMessage
​string

当 success = false 时的错误信息。


一键市价平仓 (TRADE)

一键市价平仓 (TRADE)。

POST
/capi/v3/closePositions
https://api-contract.weex.com
请求权重
此端点消耗基于 IP 的请求权重。较重的端点会消耗更多您的 IP 速率限制容量。
请在访问限制章节中了解更多信息。
IP 权重40

一键市价平仓 (TRADE) › 查询参数

symbol
​string

指定交易对平仓

positionId
​integer

仓位 ID

一键市价平仓 (TRADE) › 响应

200

成功响应

​object[]
positionId
​integer

仓位 ID。

success
​boolean

是否平仓成功。

successOrderId
​integer

创建的平仓订单 ID(成功时返回)。

errorMessage
​string

失败原因(当 success = false 时返回)。


下条件单 (TRADE)

下条件单 (TRADE)。

POST
/capi/v3/algoOrder
https://api-contract.weex.com
请求权重
此端点消耗基于 IP 的请求权重。较重的端点会消耗更多您的 IP 速率限制容量。
请在访问限制章节中了解更多信息。
IP 权重0

下条件单 (TRADE) › 查询参数

symbol
​string · required

交易对,例如 BTCUSDT。

side
​string · required

买卖方向,BUY 或 SELL。

positionSide
​string · required

持仓方向,LONG 或 SHORT。

type
​string · required

条件单类型,STOP、TAKE_PROFIT、STOP_MARKET、TAKE_PROFIT_MARKET、TRAILING_MARKET。

quantity
​string · required

下单数量,必须大于 0。

clientAlgoId
​string · required

客户自定义条件单 ID(1-36 位,匹配 ^[\.A-Z:/a-z0-9_-]{1,36}$)。

price
​string

执行价格,当 type 为 STOP 或 TAKE_PROFIT 时必填。

triggerPrice
​string

触发价格,当 type 为 STOP、TAKE_PROFIT、STOP_MARKET 或 TAKE_PROFIT_MARKET 时必填。

presetTakeProfitPrice
​string

预设止盈触发价。

presetStopLossPrice
​string

预设止损触发价。

TpWorkingType
​string

止盈触发价类型:CONTRACT_PRICE 或 MARK_PRICE,默认 CONTRACT_PRICE。

SlWorkingType
​string

止损触发价类型:CONTRACT_PRICE 或 MARK_PRICE,默认 CONTRACT_PRICE。

activatePrice
​string

追踪止损激活价格,仅当 type = TRAILING_MARKET 时有效;不传则按 workingType 使用当前市场价格。

callbackRate
​string

追踪止损回调比例,仅当 type = TRAILING_MARKET 时必填,取值范围 [0.001, 0.9999]。

workingType
​string

追踪委托激活和回调使用的价格类型:CONTRACT_PRICE、MARK_PRICE,默认 CONTRACT_PRICE。

reduceOnly
​boolean

是否只减仓。

下条件单 (TRADE) › 响应

200

成功响应

orderId
​string

系统生成的订单 ID。

clientOrderId
​string

回显的 newClientOrderId。

success
​boolean

是否受理成功。

errorCode
​string

当 success = false 时返回错误码;成功时为空。

errorMessage
​string

当 success = false 时返回错误信息;成功时为空。


撤销条件单 (TRADE)

撤销条件单 (TRADE)。

DELETE
/capi/v3/algoOrder
https://api-contract.weex.com
请求权重
此端点消耗基于 IP 的请求权重。较重的端点会消耗更多您的 IP 速率限制容量。
请在访问限制章节中了解更多信息。
IP 权重1

撤销条件单 (TRADE) › 查询参数

orderId
​integer · required

条件单 ID。

撤销条件单 (TRADE) › 响应

200

成功响应

orderId
​string

被撤销的订单 ID。

origClientOrderId
​string

客户订单号(如提交时提供)。

success
​boolean

是否撤单成功。

errorCode
​string

当 success = false 时的错误码。

errorMessage
​string

当 success = false 时的错误信息。


撤销全部条件单 (TRADE)

撤销全部条件单 (TRADE)。

DELETE
/capi/v3/algoOpenOrders
https://api-contract.weex.com
请求权重
此端点消耗基于 IP 的请求权重。较重的端点会消耗更多您的 IP 速率限制容量。
请在访问限制章节中了解更多信息。
IP 权重5

撤销全部条件单 (TRADE) › 查询参数

symbol
​string

指定交易对,留空则撤销全部条件单。

撤销全部条件单 (TRADE) › 响应

200

成功响应

​object[]
orderId
​integer

条件单 ID。

success
​boolean

是否撤单成功。

errorCode
​string

当 success = false 时的错误码。

errorMessage
​string

当 success = false 时的错误信息。


下止盈止损条件单 (TRADE)

下止盈止损条件单 (TRADE)。

POST
/capi/v3/placeTpSlOrder
https://api-contract.weex.com
请求权重
此端点消耗基于 IP 的请求权重。较重的端点会消耗更多您的 IP 速率限制容量。
请在访问限制章节中了解更多信息。
IP 权重0

下止盈止损条件单 (TRADE) › 查询参数

symbol
​string · required

交易对。

clientAlgoId
​string · required

客户自定义条件单 ID(1-36 位,匹配 ^[\.A-Z:/a-z0-9_-]{1,36}$)。

planType
​string · required

条件单类型:TAKE_PROFIT、STOP_LOSS。

triggerPrice
​string · required

触发价格,必须大于 0。

positionSide
​string · required

持仓方向:LONG、SHORT。

executePrice
​string

执行价格,为 0 或省略表示以市价执行。带单类型 API key 只支持市价平仓,必须传 0 或省略。

quantity
​string

委托数量。为 0 或省略表示设置全部仓位止盈止损。带单类型 API key 必须设置全部仓位平仓,必须传 0 或省略。

triggerPriceType
​string

触发价类型:CONTRACT_PRICE、MARK_PRICE,默认 CONTRACT_PRICE。

reduceOnly
​boolean

是否只减仓。

下止盈止损条件单 (TRADE) › 响应

200

成功响应

​object[]
success
​boolean

是否提交成功。

orderId
​integer

成功时返回的条件单 ID。

errorCode
​string

当 success = false 时的错误码。

errorMessage
​string

当 success = false 时的错误信息。


修改止盈止损条件单 (TRADE)

修改止盈止损条件单 (TRADE)。

POST
/capi/v3/modifyTpSlOrder
https://api-contract.weex.com
请求权重
此端点消耗基于 IP 的请求权重。较重的端点会消耗更多您的 IP 速率限制容量。
请在访问限制章节中了解更多信息。
IP 权重0

修改止盈止损条件单 (TRADE) › 查询参数

orderId
​integer · required

条件单 ID。

triggerPrice
​string · required

新触发价,必须大于 0。

executePrice
​string

新执行价,设为 0 或省略表示改为市价执行。带单类型 API key 只支持市价平仓,必须传 0 或省略。

triggerPriceType
​string

触发价类型:CONTRACT_PRICE 或 MARK_PRICE,默认 CONTRACT_PRICE。

修改止盈止损条件单 (TRADE) › 响应

200

成功响应

success
​boolean

是否修改成功。


查询订单详情 (USER_DATA)

查询订单详情 (USER_DATA)。

GET
/capi/v3/order
https://api-contract.weex.com
请求权重
此端点消耗基于 IP 的请求权重。较重的端点会消耗更多您的 IP 速率限制容量。
请在访问限制章节中了解更多信息。
IP 权重2

查询订单详情 (USER_DATA) › 查询参数

orderId
​integer · required

目标订单 ID。

查询订单详情 (USER_DATA) › 响应

200

成功响应

avgPrice
​string

平均成交价。

clientOrderId
​string

客户自定义订单号。

cumQuote
​string

已成交计价资产数量。

executedQty
​string

已成交基础资产数量。

orderId
​integer

系统订单 ID。

origQty
​string

原始下单数量。

price
​string

下单价格。

reduceOnly
​boolean

是否仅减仓。

side
​string

买卖方向,取值见订单方向。

positionSide
​string

持仓方向,取值见持仓模式。

status
​string

订单状态,取值见订单状态。

stopPrice
​string

触发价/止损价(如适用)。

symbol
​string

交易对。

time
​integer

下单时间(毫秒)。

timeInForce
​string

有效方式,取值见时间有效方式。

type
​string

订单类型,取值见订单类型。

updateTime
​integer

最近更新时间(毫秒)。

workingType
​string

触发价类型,取值见触发价格类型。


查询当前委托 (USER_DATA)

查询当前委托 (USER_DATA)。

GET
/capi/v3/openOrders
https://api-contract.weex.com
请求权重
此端点消耗基于 IP 的请求权重。较重的端点会消耗更多您的 IP 速率限制容量。
请在访问限制章节中了解更多信息。
IP 权重2

查询当前委托 (USER_DATA) › 查询参数

symbol
​string

按交易对过滤。

orderId
​string

仅返回订单 ID 大于该值的记录。

startTime
​integer

起始时间(毫秒)。

endTime
​integer

结束时间(毫秒)。

limit
​integer

分页大小,1-100,默认 100。

page
​integer

分页索引,从 0 开始,默认 0。

查询当前委托 (USER_DATA) › 响应

200

成功响应

​object[]
avgPrice
​string

平均成交价。

clientOrderId
​string

客户自定义订单号。

cumQuote
​string

已成交计价资产数量。

executedQty
​string

已成交基础资产数量。

orderId
​integer

系统订单 ID。

origQty
​string

原始下单数量。

price
​string

下单价格。

reduceOnly
​boolean

是否仅减仓。

side
​string

买卖方向,取值见订单方向。

positionSide
​string

持仓方向,取值见持仓模式。

status
​string

订单状态,取值见订单状态。

stopPrice
​string

触发价/止损价(如适用)。

symbol
​string

交易对。

time
​integer

下单时间(毫秒)。

timeInForce
​string

有效方式,取值见时间有效方式。

type
​string

订单类型,取值见订单类型。

updateTime
​integer

最近更新时间(毫秒)。

workingType
​string

触发价类型,取值见触发价格类型。

priceProtect
​boolean
priceMatch
​string
selfTradePreventionMode
​string
goodTillDate
​integer

查询当前追踪委托 (USER_DATA)

查询当前追踪委托 (USER_DATA)。

GET
/capi/v3/trailing/openOrders
https://api-contract.weex.com
请求权重
此端点消耗基于 IP 的请求权重。较重的端点会消耗更多您的 IP 速率限制容量。
请在访问限制章节中了解更多信息。
IP 权重2

查询当前追踪委托 (USER_DATA) › 查询参数

symbol
​string

按交易对过滤。

orderId
​string

仅返回订单 ID 大于该值的记录。

startTime
​integer

起始时间(毫秒)。

endTime
​integer

结束时间(毫秒)。

limit
​integer

分页大小,1-100,默认 100。

page
​integer

分页索引,从 0 开始,默认 0。

查询当前追踪委托 (USER_DATA) › 响应

200

成功响应

​object[]
avgPrice
​string

平均成交价。

clientOrderId
​string

客户自定义订单号。

cumQuote
​string

已成交计价资产数量。

executedQty
​string

已成交基础资产数量。

orderId
​integer

系统订单 ID。

origQty
​string

原始下单数量。

price
​string

下单价格。

reduceOnly
​boolean

是否仅减仓。

side
​string

买卖方向,取值见订单方向。

positionSide
​string

持仓方向,取值见持仓模式。

status
​string

订单状态,取值见订单状态。

stopPrice
​string

触发价/止损价(如适用)。

symbol
​string

交易对。

time
​integer

下单时间(毫秒)。

timeInForce
​string

有效方式,取值见时间有效方式。

type
​string

订单类型,取值见订单类型。

updateTime
​integer

最近更新时间(毫秒)。

workingType
​string

触发价类型,取值见触发价格类型。

activatePrice
​string

激活价格,有值时返回。

callbackRate
​string

回调幅度百分比,有值时返回。


查询历史委托 (USER_DATA)

查询历史委托 (USER_DATA)。

GET
/capi/v3/order/history
https://api-contract.weex.com
请求权重
此端点消耗基于 IP 的请求权重。较重的端点会消耗更多您的 IP 速率限制容量。
请在访问限制章节中了解更多信息。
IP 权重10

查询历史委托 (USER_DATA) › 查询参数

symbol
​string

按交易对过滤。

limit
​integer

每页数量,1-100,默认 100。

startTime
​integer

起始时间(毫秒),需 ≤ endTime。

endTime
​integer

结束时间(毫秒),与 startTime 间隔不超过 90 天。

page
​integer

页码,从 0 开始,默认 0。

查询历史委托 (USER_DATA) › 响应

200

成功响应

​object[]
orderId
​integer

系统订单 ID。

symbol
​string

交易对。

side
​string

买卖方向,取值见订单方向。

positionSide
​string

持仓方向,取值见持仓模式。

status
​string

订单状态,取值见订单状态。

type
​string

订单类型,取值见订单类型。

time
​integer

下单时间(毫秒)。

price
​string

下单价格。

origQty
​string

原始下单数量。

executedQty
​string

已成交基础资产数量。

avgPrice
​string

平均成交价。

updateTime
​integer

最近更新时间(毫秒)。

clientOrderId
​string

客户自定义订单号。

cumQuote
​string

已成交计价资产数量。

timeInForce
​string

有效方式,取值见时间有效方式。

reduceOnly
​boolean

是否仅减仓。

stopPrice
​string

触发价/止损价(如适用)。

workingType
​string

触发价类型,取值见触发价格类型。


查询历史追踪委托 (USER_DATA)

查询历史追踪委托 (USER_DATA)。

GET
/capi/v3/trailing/historyOrders
https://api-contract.weex.com
请求权重
此端点消耗基于 IP 的请求权重。较重的端点会消耗更多您的 IP 速率限制容量。
请在访问限制章节中了解更多信息。
IP 权重10

查询历史追踪委托 (USER_DATA) › 查询参数

symbol
​string

按交易对过滤。

limit
​integer

每页数量,1-1000,默认 500。

startTime
​integer

起始时间(毫秒),需 ≤ endTime。

endTime
​integer

结束时间(毫秒),与 startTime 间隔不超过 90 天。

page
​integer

页码,从 0 开始,默认 0。

查询历史追踪委托 (USER_DATA) › 响应

200

成功响应

​object[]
avgPrice
​string

平均成交价。

clientOrderId
​string

客户自定义订单号。

cumQuote
​string

已成交计价资产数量。

executedQty
​string

已成交基础资产数量。

orderId
​integer

系统订单 ID。

origQty
​string

原始下单数量。

price
​string

下单价格。

reduceOnly
​boolean

是否仅减仓。

side
​string

买卖方向,取值见订单方向。

positionSide
​string

持仓方向,取值见持仓模式。

status
​string

订单状态,取值见订单状态。

stopPrice
​string

触发价/止损价(如适用)。

symbol
​string

交易对。

time
​integer

下单时间(毫秒)。

timeInForce
​string

有效方式,取值见时间有效方式。

type
​string

订单类型,取值见订单类型。

updateTime
​integer

最近更新时间(毫秒)。

workingType
​string

触发价类型,取值见触发价格类型。

activatePrice
​string

激活价格,有值时返回。

callbackRate
​string

回调幅度百分比,有值时返回。


查询成交明细 (USER_DATA)

查询成交明细 (USER_DATA)。

GET
/capi/v3/userTrades
https://api-contract.weex.com
请求权重
此端点消耗基于 IP 的请求权重。较重的端点会消耗更多您的 IP 速率限制容量。
请在访问限制章节中了解更多信息。
IP 权重5

查询成交明细 (USER_DATA) › 查询参数

symbol
​string

按交易对过滤。

orderId
​integer

仅返回指定订单的成交。

startTime
​integer

起始时间(毫秒)。

endTime
​integer

结束时间(毫秒),需 ≥ startTime。

limit
​integer

返回条数,1-100,默认 100。

查询成交明细 (USER_DATA) › 响应

200

成功响应

​object[]
id
​integer

成交 ID。

orderId
​integer

对应订单 ID。

symbol
​string

交易对。

buyer
​boolean

是否为买方。

commission
​string

手续费金额。

commissionAsset
​string

手续费计价资产。

maker
​boolean

是否为挂单方。

price
​string

成交价格。

qty
​string

成交数量(基础资产)。

quoteQty
​string

成交金额(计价资产)。

realizedPnl
​string

该笔成交的已实现盈亏。

side
​string

买卖方向,BUY 或 SELL。

positionSide
​string

持仓方向,LONG 或 SHORT。

time
​integer

成交时间(毫秒)。


查询当前条件单 (USER_DATA)

查询当前条件单 (USER_DATA)。

GET
/capi/v3/openAlgoOrders
https://api-contract.weex.com
请求权重
此端点消耗基于 IP 的请求权重。较重的端点会消耗更多您的 IP 速率限制容量。
请在访问限制章节中了解更多信息。
IP 权重3

查询当前条件单 (USER_DATA) › 查询参数

symbol
​string

按交易对过滤。

startTime
​integer

起始时间(毫秒)。

endTime
​integer

结束时间(毫秒),需 ≥ startTime。

page
​integer

页码,从 1 开始,默认 1。

limit
​integer

每页数量,1-100,默认 100。

查询当前条件单 (USER_DATA) › 响应

200

成功响应

​object[]
algoId
​integer

条件单 ID。

clientAlgoId
​string

客户自定义 ID。

algoType
​string

条件单类型,目前仅返回 CONDITIONAL。

orderType
​string

触发后下发的订单类型,可为 STOP、TAKE_PROFIT、STOP_MARKET、TAKE_PROFIT_MARKET、TRAILING_STOP_MARKET。

symbol
​string

交易对。

side
​string

买卖方向,可为 BUY、SELL。

positionSide
​string

持仓方向,可为 LONG、SHORT。

timeInForce
​string

触发订单的有效方式,可为 GTC、IOC、FOK、POST_ONLY。

quantity
​string

委托数量。

algoStatus
​string

条件单状态,可为 NEW、PENDING、UNTRIGGERED、FILLED、CANCELED、CANCELING。

actualOrderId
​integer | null

触发后的订单 ID(如有)。

actualPrice
​string

实际成交价格(如有)。

triggerPrice
​string

触发价格。

price
​string

触发订单的委托价格。

tpTriggerPrice
​string

止盈触发价(如配置)。

tpPrice
​string

止盈委托价(如配置)。

slTriggerPrice
​string

止损触发价(如配置)。

slPrice
​string

止损委托价(如配置)。

tpOrderType
​string

止盈触发价格来源,可为 CONTRACT_PRICE、MARK_PRICE。

workingType
​string

触发价来源,可为 CONTRACT_PRICE、MARK_PRICE。

closePosition
​boolean

是否全平仓。

reduceOnly
​boolean

触发订单是否仅减仓。

createTime
​integer

创建时间(毫秒)。

updateTime
​integer

最近更新时间(毫秒)。

triggerTime
​integer

触发时间(毫秒),未触发时返回 0。


查询条件单历史 (USER_DATA)

查询条件单历史 (USER_DATA)。

GET
/capi/v3/allAlgoOrders
https://api-contract.weex.com
请求权重
此端点消耗基于 IP 的请求权重。较重的端点会消耗更多您的 IP 速率限制容量。
请在访问限制章节中了解更多信息。
IP 权重5

查询条件单历史 (USER_DATA) › 查询参数

symbol
​string

按交易对过滤。

startTime
​integer

起始时间(毫秒)。

endTime
​integer

结束时间(毫秒),与 startTime 间隔不超过 90 天。

limit
​integer

每页数量,1-1000,默认 500。

查询条件单历史 (USER_DATA) › 响应

200

成功响应

​object[]

当前页的条件单列表。单个元素的字段同查询当前条件单。

hasMore
​boolean

是否还有更多数据。

nextPage
​integer